\NeedsTeXFormat{LaTeX2e}
%%	DS start
\ProvidesClass{DSrep-ric}
                  
% DS page wideness commands
\newcommand{\@DSwide}{}
\newcommand{\@DSwideness}{}
\newcommand{\DSwideness}[2]
	{	\ifnum \@DSwide = #1
			\renewcommand{\@DSwideness}{#2}
		\else
			\renewcommand{\@DSwideness}{}
		\fi
		\@DSwideness
	}
% DS page binding space command
\newcommand{\@DSbind}{}
\newcommand{\@DSbinding}{}
\newcommand{\DSbinding}[2]
	{	\ifnum \@DSbind = #1
			\renewcommand{\@DSbinding}{#2}
		\else
			\renewcommand{\@DSbinding}{}
		\fi
		\@DSbinding
	}
% DS first section number command
\newcommand{\@firstsec}{0}
% DS language option commands
\newcommand{\@DSlang}{}
\newcommand{\english}{0}
\newcommand{\italian}{1}
\newcommand{\@DSlanguage}{}
\newcommand{\DSlanguage}[2]
	{	\ifnum \@DSlang = #1
			\renewcommand{\@DSlanguage}{#2}
		\else
			\renewcommand{\@DSlanguage}{}
		\fi
		\@DSlanguage
	}
% DS other option commands
\newcommand{\@draft}{}
\newcommand{\@optionaltocpage}{}
%%	DS end
\newcommand{\@ptsize}{}
\newif\if@restonecol
\newif\if@titlepage
\@titlepagefalse
\newif\if@openbib
\@openbibfalse
\DeclareOption{a4paper}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\DeclareOption{a5paper}
   {\setlength\paperheight {210mm}%
    \setlength\paperwidth  {148mm}}
\DeclareOption{b5paper}
   {\setlength\paperheight {250mm}%
    \setlength\paperwidth  {176mm}}
\DeclareOption{letterpaper}
   {\setlength\paperheight {11in}%
    \setlength\paperwidth  {8.5in}}
\DeclareOption{legalpaper}
   {\setlength\paperheight {14in}%
    \setlength\paperwidth  {8.5in}}
\DeclareOption{executivepaper}
   {\setlength\paperheight {10.5in}%
    \setlength\paperwidth  {7.25in}}
\DeclareOption{landscape}
   {\setlength\@tempdima   {\paperheight}%
    \setlength\paperheight {\paperwidth}%
    \setlength\paperwidth  {\@tempdima}}
\DeclareOption{10pt}{\renewcommand{\@ptsize}{0}}
\DeclareOption{11pt}{\renewcommand{\@ptsize}{1}}
\DeclareOption{12pt}{\renewcommand{\@ptsize}{2}}
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
\DeclareOption{onecolumn}{\@twocolumnfalse}
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
%%	DS start
% DS option declarations
\DeclareOption{draft}
	{	\setlength\overfullrule{5pt}
		\renewcommand{\@draft}{\vskip -.5em \draftname}
	}
\DeclareOption{final}{\setlength\overfullrule{0pt}\renewcommand{\@draft}{}}
\DeclareOption{titlepage}{\@titlepagetrue}
\DeclareOption{notitlepage}{\@titlepagefalse}
\DeclareOption{tocpage}{\renewcommand{\@optionaltocpage}{\@tocpage}}
\DeclareOption{notocpage}{\renewcommand{\@optionaltocpage}{}}
\DeclareOption{wide13}{\renewcommand{\@DSwide}{13}}
\DeclareOption{wide14}{\renewcommand{\@DSwide}{14}}
\DeclareOption{wide15}{\renewcommand{\@DSwide}{15}}
\DeclareOption{wide16}{\renewcommand{\@DSwide}{16}}
\DeclareOption{nobind}{\renewcommand{\@DSbind}{0}}
\DeclareOption{bind00}{\renewcommand{\@DSbind}{0}}
\DeclareOption{bind05}{\renewcommand{\@DSbind}{5}}
\DeclareOption{bind10}{\renewcommand{\@DSbind}{10}}
\DeclareOption{bind15}{\renewcommand{\@DSbind}{15}}
\DeclareOption{bind20}{\renewcommand{\@DSbind}{20}}
\DeclareOption{sectionzero}{\renewcommand{\@firstsec}{-1}}
\DeclareOption{english}{\renewcommand{\@DSlang}{\english}}
\DeclareOption{italian}{\renewcommand{\@DSlang}{\italian}}
%%	DS end
\DeclareOption{openbib}{\@openbibtrue}
\ExecuteOptions{a4paper,11pt,wide14,english,notitlepage,notocpage,oneside,onecolumn,nobind,final}
\ProcessOptions
\input{size1\@ptsize.clo}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand{\baselinestretch}{}
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{2}
\renewcommand{\topfraction}{.7}
\setcounter{bottomnumber}{1}
\renewcommand{\bottomfraction}{.3}
\setcounter{totalnumber}{3}
\renewcommand{\textfraction}{.2}
\renewcommand{\floatpagefraction}{.5}
\setcounter{dbltopnumber}{2}
\renewcommand{\dbltopfraction}{.7}
\renewcommand{\dblfloatpagefraction}{.5}
\if@twoside
  \def\ps@headings{%
    \let\@oddfoot\@empty\let\@evenfoot\@empty
    \def\@evenhead%
      	{\parbox{\widthcm}{\thepage\hfill\slshape\leftmark\@@par\kern 2pt\hrule}}%
    \def\@oddhead%
      	{\parbox{\widthcm}{{\slshape\rightmark}\hfill\thepage\@@par\kern 2pt\hrule}}%
    \let\@mkboth\markboth
    \def\sectionmark##1{%
      \markboth {{%
        \ifnum \c@secnumdepth >\z@
          \thesection.\hskip 1em\relax
        \fi
        ##1}}{}}%
    \def\subsectionmark##1{%
      \markright {%
        \ifnum \c@secnumdepth >\@ne
          \thesubsection\hskip 1em\relax
          \fi
          ##1}}}
%   \def\ps@headings{%
%       \let\@oddfoot\@empty\let\@evenfoot\@empty
%       \def\@evenhead{\thepage\hfil\slshape\leftmark}%
%       \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
%       \let\@mkboth\markboth
%     \def\sectionmark##1{%
%       \markboth {\uppercase{%
%         \ifnum \c@secnumdepth >\z@
%           \thesection.\hskip 1em\relax
%         \fi
%         ##1}}{}}%
%     \def\subsectionmark##1{%
%       \markright {%
%         \ifnum \c@secnumdepth >\@ne
%           \thesubsection\hskip 1em\relax
%           \fi
%           ##1}}}
\else
  \def\ps@headings{%
    \let\@oddfoot\@empty
    \def\@oddhead%
    	{\parbox{\widthcm}{{\slshape\rightmark}\hfill\thepage\@@par\kern 2pt\hrule}}%
    \let\@mkboth\markboth
    \def\sectionmark##1{%
      \markright {{%
        \ifnum \c@secnumdepth >\m@ne
          \thesection\hskip 1em\relax
        \fi
        ##1}}}}
%   \def\ps@headings{%
%     \let\@oddfoot\@empty
%     \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
%     \let\@mkboth\markboth
%     \def\sectionmark##1{%
%       \markright {\uppercase{%
%         \ifnum \c@secnumdepth >\m@ne
%           \thesection\hskip 1em\relax
%         \fi
%         ##1}}}}
\fi
\def\ps@myheadings{%
    \let\@oddfoot\@empty\let\@evenfoot\@empty
    \def\@evenhead{\thepage\hfil\slshape\leftmark}%
    \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
    \let\@mkboth\@gobbletwo
    \let\sectionmark\@gobble
    \let\subsectionmark\@gobble
    }
%%	DS start
% DS input files
\input{epsf}
\input{DSwide.sty}
\input{DSlang-dida.sty}
% DS internal commands
\newcommand{\@abstractext}{\mbox {}}
\newcommand{\@fpabstract}{
  \begin{center} \begin{quotation}
    \noindent
    {\small {\bf \abstractname .} \parindent=10pt \@abstractext}
    \par
  \end{quotation} \end{center}
}
\newcommand{\@keywords}{\mbox {}}
\newcommand{\@fpkeywords}{
  \begin{center} \begin{quotation}
    \noindent \parindent=10pt
    {\small {\bf \keywordname:} \parindent=10pt \em \@keywords}
    \par
  \end{quotation} \end{center}
}
\newcommand{\@address}{
    	Dipartimento di Scienze\\ %
	Universit\`{a} degli Studi ``G.~D'Annunzio''\\ %
	Viale Pindaro, 42 -- 65127 Pescara, Italia
}
\newcommand{\@dstechno}{\mbox{\dstechnoname}}
\newcommand{\@dsstechno}{\mbox{\dsstechnoname}}
\newcommand{\@addrpostref}[1]{\mbox {\,$^{#1}$}}
\newcommand{\@addrprelabel}[1]{\mbox {$^{#1}$}}
\newcommand{\@coverpage}{\begin{titlepage}%
  \let\footnotesize\small
  \let\footnoterule\relax
  \centerline{\epsfxsize=4cm \epsfysize=4cm \epsfbox{UnichLog.eps}}
  \begin{center}%
    {\LARGE  Universit\`{a} degli Studi ``G.~D'Annunzio'' \vskip 2mm Dipartimento di Scienze}
    \vskip \coverskiptop
	\vfill
    \begin{minipage}{\coverholewidth}
  		\begin{center}
		    {\Huge \@title \par}%
		\end{center}
    \end{minipage}
	\vfill\vfill
    \begin{minipage}{\coverholewidth}
  		\begin{center}
	    	{\LARGE
				\begin{tabular}[t]{c}
				    \@author
				\end{tabular}\par}
		\end{center}
    \end{minipage}
	\vfill\vfill
    \begin{minipage}{\coverholewidth}
  		\begin{center}
			{\large \@date \par}
			\vskip 5mm
			{\large \em \@draft \par}
		\end{center}
    \end{minipage}
	\vfill
    \vskip \coverskipbottom
    {\small \em \@dstechno \hfill \@dsstechno \par}
	%{\small \em \@dstechno \par} % senza indic. serie
  \end{center}
	\if@twoside
       		\newpage\mbox{}\setcounter{page}{0}\thispagestyle{empty}\newpage
	\fi
  \end{titlepage}
}
\newcommand{\@firstpage}{
     \begingroup
       \renewcommand{\thefootnote}{\fnsymbol{footnote}}%
       \let\postref\@addrpostref%
       \def\@makefnmark{\hbox to\z@{$\m@th^{\@thefnmark}$\hss}}%
       \long\def\@makefntext##1{\parindent 1em\noindent
            \hbox to1.8em{\hss$\m@th^{\@thefnmark}$}##1}%
       \if@twocolumn
         \ifnum \col@number=\@ne
           \@maketitle
         \else
           \twocolumn[\@maketitle]%
         \fi
       \else
         \global\@topnum\z@   % Prevents figures from going at top of page.
         \@maketitle
       \fi
       \thispagestyle{empty}\@thanks
       \endgroup
}
\newcommand{\@maketitle}{%
  \newpage
  \null
  \vskip 2em%
  \begin{center}%
    {\LARGE \@title \par}%
    \vskip 1.5em%
    {\large
      \lineskip .5em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
    \vskip .75em%
    {\small \em
       \begin{tabular}[t]{c}%
         \@address
       \end{tabular}\par}%
    \vskip 1.5em%
    {\large \@date}%
    \vskip 1.0em
    {\large \em \@draft \par}
  \end{center}%
  \par
  \vskip 1.5em
  \fpabstract
  \fpkeywords
  \vskip 1.0em
}
\newcommand{\@tocpage}{
    \if@twocolumn
        \ifnum \col@number=\@ne
            \clearpage\tableofcontents\thispagestyle{empty}\clearpage
        \else
            \twocolumn[\tableofcontents]
            \thispagestyle{empty}
            {\small \em
               \mbox{\ } \vfill {\begin{flushleft} \@dstechno 
                   \end{flushleft}} \newpage
               \mbox{\ } \vfill {\begin{flushright} \@dsstechno 
                   \end{flushright}} \newpage
            }
        \fi
    \else
        \newpage
        \tableofcontents
        \vfill
        {\small \em \@dstechno \hfill \@dsstechno}
	% {\small \em \@dstechno} % senza indic. serie
        \thispagestyle{empty}
        \newpage
    \fi
}
\newcommand{\@resetpage}{
   \setcounter{footnote}{0}%
   \setcounter{section}{\@firstsec}%
   \let\thanks\relax
   \let\maketitle\relax \let\@maketitle\relax%
   \let\@coverpage\relax \let\@firstpage\relax%
   \let\@addrpostref\relax \let\@addrprelabel\relax%
   \let\prelabel\relax \let\postref\relax%
   \gdef\@thanks{}\gdef\@author{}\gdef\@title{}%
   \gdef\@abstractext{}\gdef\@address{}\gdef\@keywords{}%
   \gdef\@dstecnhno{}\gdef\@dsstechno{}
}
% DS external commands
\newcommand{\postref}[1]{\mbox {}}
\newcommand{\prelabel}[1]{\@addrprelabel{#1}}
\newcommand{\fpabstract}{}
\newcommand{\abstractext}[1]{
   \renewcommand{\@abstractext}{#1}
   \renewcommand{\fpabstract}{\@fpabstract}
}
\newcommand{\fpkeywords}{}
\newcommand{\keywords}[1]{
   \renewcommand{\@keywords}{#1}
   \renewcommand{\fpkeywords}{\@fpkeywords}
}
\newcommand{\address}[1]{\renewcommand{\@address}{#1}}
\newcommand{\dstechno}[1]
	{\renewcommand{\@dstechno}{\dstechnoname~\shno~#1}}
\newcommand{\dsstechno}[1]
	{\renewcommand{\@dsstechno}{\dsstechnoname~\shno~#1}}
\if@titlepage
  \newcommand{\maketitle}{
	\@coverpage
  	\setDSbinding
	\@firstpage
	\@optionaltocpage
	\@resetpage
  }
\else
  \newcommand{\maketitle}{
  	\setDSbinding
	\@firstpage
	\@optionaltocpage
	\@resetpage
  }
\fi
% end of DS commands
\setcounter{secnumdepth}{3}
\newcounter {part}
\newcounter {section}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand{\thepart}         {\Roman{part}}
\renewcommand{\thesection}      {\arabic{section}}
\renewcommand{\thesubsection}   {\thesection.\arabic{subsection}}
\renewcommand{\thesubsubsection}{\thesubsection .\arabic{subsubsection}}
\renewcommand{\theparagraph}    {\thesubsubsection.\arabic{paragraph}}
\renewcommand{\thesubparagraph} {\theparagraph.\arabic{subparagraph}}
\newcommand{\part}{\par
   \addvspace{4ex}%
   \@afterindentfalse
   \secdef\@part\@spart}

\def\@part[#1]#2{%
    \ifnum \c@secnumdepth >\m@ne
      \refstepcounter{part}%
      \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
    \else
      \addcontentsline{toc}{part}{#1}%
    \fi
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \reset@font
     \ifnum \c@secnumdepth >\m@ne
       \Large\bfseries \partname~\thepart
       \par\nobreak
     \fi
     \huge \bfseries #2%
     \markboth{}{}\par}%
    \nobreak
    \vskip 3ex
    \@afterheading}
\def\@spart#1{%
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \reset@font
     \huge \bfseries #1\par}%
     \nobreak
     \vskip 3ex
     \@afterheading}
\def\@endpart{\vfil\newpage
              \if@twoside
                \hbox{}%
                \thispagestyle{empty}%
                \newpage
              \fi
              \if@tempswa
                \twocolumn
              \fi}
\newcommand{\section}{\@startsection {section}{1}{\z@}%
                                   {-3.5ex \@plus -1ex \@minus -.2ex}%
                                   {2.3ex \@plus.2ex}%
                                   {\reset@font\Large\bfseries}}
\newcommand{\subsection}{\@startsection{subsection}{2}{\z@}%
                                     {-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {1.5ex \@plus .2ex}%
                                     {\reset@font\large\bfseries}}
\newcommand{\subsubsection}{\@startsection{subsubsection}{3}{\z@}%
                                     {-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {1.5ex \@plus .2ex}%
                                     {\reset@font\normalsize\bfseries}}
\newcommand{\paragraph}{\@startsection{paragraph}{4}{\z@}%
                                    {3.25ex \@plus1ex \@minus.2ex}%
                                    {-1em}%
                                    {\reset@font\normalsize\bfseries}}
\newcommand{\subparagraph}{\@startsection{subparagraph}{5}{\parindent}%
                                       {3.25ex \@plus1ex \@minus .2ex}%
                                       {-1em}%
                                      {\reset@font\normalsize\bfseries}}
\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {2.5em}
\fi
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
\setlength\leftmargin    {\leftmargini}
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand{\theenumi}{\arabic{enumi}}
\renewcommand{\theenumii}{\alph{enumii}}
\renewcommand{\theenumiii}{\roman{enumiii}}
\renewcommand{\theenumiv}{\Alph{enumiv}}
\newcommand{\labelenumi}{\theenumi.}
\newcommand{\labelenumii}{(\theenumii)}
\newcommand{\labelenumiii}{\theenumiii.}
\newcommand{\labelenumiv}{\theenumiv.}
\renewcommand{\p@enumii}{\theenumi}
\renewcommand{\p@enumiii}{\theenumi(\theenumii)}
\renewcommand{\p@enumiv}{\p@enumiii\theenumiii}
\newcommand{\labelitemi}{$\m@th\bullet$}
\newcommand{\labelitemii}{\normalfont\bfseries --}
\newcommand{\labelitemiii}{$\m@th\ast$}
\newcommand{\labelitemiv}{$\m@th\cdot$}
\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand{\descriptionlabel}[1]{\hspace\labelsep
                                \normalfont\bfseries #1}
\newenvironment{abstract}{%
      \if@twocolumn
        \section*{\abstractname}%
      \else
        \small
        \begin{center}%
          {\bfseries \abstractname\vspace{-.5em}\vspace{\z@}}%
        \end{center}%
        \quotation\noindent
      \fi}
      {\if@twocolumn\else\endquotation\fi}

\newenvironment{verse}
               {\let\\=\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item[]}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item[]}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item[]}
               {\endlist}
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \if@compatibility
        \setcounter{page}{0}
      \else
        \setcounter{page}{1}%
      \fi}%
    {\if@restonecol\twocolumn \else \newpage \fi
      \setcounter{page}{1}%
    }
\newcommand{\appendix}{\par
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \renewcommand{\thesection}{\Alph{section}}}
\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\renewcommand{\theequation}{\arabic{equation}}
\newcounter{figure}
\renewcommand{\thefigure}{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}
\renewcommand{\thetable}{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename~\thetable}
\newenvironment{table}
               {\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{0\p@}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{{\sf #1}. {\sl #2}}%
  \ifdim \wd\@tempboxa >\hsize
    {\sf #1}. {\sl #2}\par
  \else
    \global \@minipagefalse
    \hbox to\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*{\cal}{\@fontswitch{\relax}{\mathcal}}
\DeclareRobustCommand*{\mit}{\@fontswitch{\relax}{\mathnormal}}
\newcommand{\@pnumwidth}{1.55em}
\newcommand{\@tocrmarg} {2.55em}
\newcommand{\@dotsep}{4.5}
\setcounter{tocdepth}{3}
\newcommand{\tableofcontents}{%
    \section*{\contentsname
        \@mkboth{\uppercase{\contentsname}}{\uppercase{\contentsname}}}%
    \@starttoc{toc}%
    }
\newcommand*{\l@part}[2]{%
  \ifnum \c@tocdepth >-2\relax
    \addpenalty{\@secpenalty}%
    \addvspace{2.25em \@plus\p@}%
    \begingroup
      \setlength\@tempdima{3em}%
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      {\leavevmode
       \large \bfseries #1\hfil \hbox to\@pnumwidth{\hss #2}}\par
       \nobreak
       \if@compatibility
         \global\@nobreaktrue
         \everypar{\global\@nobreakfalse\everypar{}}
      \fi
    \endgroup
  \fi}
\newcommand*{\l@section}[2]{%
  \ifnum \c@tocdepth >\z@
    \addpenalty{\@secpenalty}%
    \addvspace{1.0em \@plus\p@}%
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hbox to\@pnumwidth{\hss #2}\par
    \endgroup
  \fi}
\newcommand*{\l@subsection}   {\@dottedtocline{2}{1.5em}{2.3em}}
\newcommand*{\l@subsubsection}{\@dottedtocline{3}{3.8em}{3.2em}}
\newcommand*{\l@paragraph}    {\@dottedtocline{4}{7.0em}{4.1em}}
\newcommand*{\l@subparagraph} {\@dottedtocline{5}{10em}{5em}}
\newcommand{\listoffigures}{%
    \section*{\listfigurename
      \@mkboth{\uppercase{\listfigurename}}%
              {\uppercase{\listfigurename}}}%
    \@starttoc{lof}%
    }
\newcommand*{\l@figure}{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand{\listoftables}{%
    \section*{\listtablename
      \@mkboth{\uppercase{\listtablename}}{\uppercase{\listtablename}}}%
    \@starttoc{lot}%
    }
\let\l@table\l@figure
\newdimen\bibindent
\bibindent=1.5em
\newenvironment{thebibliography}[1]
     {\section*{\refname
        \@mkboth{\uppercase{\refname}}{\uppercase{\refname}}}%
      \list{\@biblabel{\arabic{enumiv}}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \if@openbib
              \advance\leftmargin\bibindent
              \itemindent -\bibindent
              \listparindent \itemindent	
              \parsep \z@
            \fi
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand{\theenumiv}{\arabic{enumiv}}}%
      \if@openbib
        \renewcommand{\newblock}{\par}
      \else
        \renewcommand{\newblock}{\hskip .11em \@plus.33em 
\@minus.07em}%
      \fi
      \sloppy\clubpenalty4000\widowpenalty4000%
      \sfcode`\.=\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\newcommand{\newblock}{}
\newenvironment{theindex}
               {\if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \columnseprule \z@
                \columnsep 35\p@
                \twocolumn[\section*{\indexname}]%
                \@mkboth{\uppercase{\indexname}}%
                        {\uppercase{\indexname}}%
                \thispagestyle{plain}\parindent\z@
                \parskip\z@ \@plus .3\p@\relax
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand{\@idxitem}  {\par\hangindent 40\p@}
\newcommand{\subitem}   {\par\hangindent 40\p@ \hspace*{20\p@}}
\newcommand{\subsubitem}{\par\hangindent 40\p@ \hspace*{30\p@}}
\newcommand{\indexspace}{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\renewcommand{\footnoterule}{%
  \kern-3\p@
  \hrule width .4\columnwidth
  \kern 2.6\p@}
\long\def\@makefntext#1{%
    \parindent 1em%
    \noindent
    \hbox to 1.8em{\hss\@makefnmark}#1}
\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}
\pagestyle{plain}
\pagenumbering{arabic}      % Arabic page numbers
\if@twoside
\else
  \raggedbottom
\fi
\if@twocolumn
  \twocolumn
  \sloppy
  \flushbottom
\else
  \onecolumn
\fi
\endinput
%% 
%% End of file `DSrep.cls'.
